import { ServiceIdentifier } from '../../instantiation/common/instantiation.js';
import { Event } from '../../../base/common/event.js';

interface ISecretStorageProvider {
    type: 'in-memory' | 'persisted' | 'unknown';
    get(key: string): Promise<string | undefined>;
    set(key: string, value: string): Promise<void>;
    delete(key: string): Promise<void>;
}

declare const ISecretStorageService: ServiceIdentifier<ISecretStorageService>;
interface ISecretStorageService extends ISecretStorageProvider {
    readonly _serviceBrand: undefined;
    onDidChangeSecret: Event<string>;
}

export { type ISecretStorageProvider, ISecretStorageService };
