import { ExtensionKind } from '../../../../platform/environment/common/environment.js';
import { ExtensionIdentifier } from '../../../../platform/extensions/common/extensions.js';

declare const enum ExtensionHostKind {
    LocalProcess = 1,
    LocalWebWorker = 2,
    Remote = 3
}
declare const enum ExtensionRunningPreference {
    None = 0,
    Local = 1,
    Remote = 2
}
interface IExtensionHostKindPicker {
    pickExtensionHostKind(extensionId: ExtensionIdentifier, extensionKinds: ExtensionKind[], isInstalledLocally: boolean, isInstalledRemotely: boolean, preference: ExtensionRunningPreference): ExtensionHostKind | null;
}

export { ExtensionHostKind, ExtensionRunningPreference, type IExtensionHostKindPicker };
