import { ServiceIdentifier } from '../../../../platform/instantiation/common/instantiation.js';
import { ExtensionKind } from '../../../../platform/environment/common/environment.js';
import { IExtensionManifest, IExtensionIdentifier, ExtensionUntrustedWorkspaceSupportType, ExtensionVirtualWorkspaceSupportType } from '../../../../platform/extensions/common/extensions.js';

declare const IExtensionManifestPropertiesService: ServiceIdentifier<IExtensionManifestPropertiesService>;
interface IExtensionManifestPropertiesService {
    readonly _serviceBrand: undefined;
    prefersExecuteOnUI(manifest: IExtensionManifest): boolean;
    prefersExecuteOnWorkspace(manifest: IExtensionManifest): boolean;
    prefersExecuteOnWeb(manifest: IExtensionManifest): boolean;
    canExecuteOnUI(manifest: IExtensionManifest): boolean;
    canExecuteOnWorkspace(manifest: IExtensionManifest): boolean;
    canExecuteOnWeb(manifest: IExtensionManifest): boolean;
    getExtensionKind(manifest: IExtensionManifest): ExtensionKind[];
    getUserConfiguredExtensionKind(extensionIdentifier: IExtensionIdentifier): ExtensionKind[] | undefined;
    getExtensionUntrustedWorkspaceSupportType(manifest: IExtensionManifest): ExtensionUntrustedWorkspaceSupportType;
    getExtensionVirtualWorkspaceSupportType(manifest: IExtensionManifest): ExtensionVirtualWorkspaceSupportType;
}

export { IExtensionManifestPropertiesService };
